=== debian/rules ===
#!/usr/bin/make -f

name = it87

version := $(shell dpkg-parsechangelog | grep '^Version:' | cut -d' ' -f2 | rev | cut -d- -f2- | rev | cut -d':' -f2)

%:
	dh $@

override_dh_install:
	dh_installdirs -p$(name)-dkms usr/src/$(name)-$(version)
	dh_install -p$(name)-dkms Makefile usr/src/$(name)-$(version)
	dh_install -p$(name)-dkms compat.h usr/src/$(name)-$(version)
	dh_install -p$(name)-dkms it87.c usr/src/$(name)-$(version)

override_dh_dkms:
	dh_dkms -V $(version)

override_dh_auto_configure:
override_dh_auto_build:
override_dh_auto_test:
override_dh_auto_install:
override_dh_auto_clean:
